cynthiune.app (1.0.0-2build9) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:42:41 +1100

cynthiune.app (1.0.0-2build8) noble; urgency=medium

  * No-change rebuild against libflac12t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 14:53:14 +0000

cynthiune.app (1.0.0-2build7) mantic; urgency=medium

  * Rebuild against libgnustep-base1.29.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 18 Jun 2023 11:46:08 +0200

cynthiune.app (1.0.0-2build6) lunar; urgency=medium

  * No-change rebuild against libflac++10 & libflac12.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 17:24:56 +0000

cynthiune.app (1.0.0-2build5) jammy; urgency=medium

  * No-change rebuild against libgnustep-base1.28

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Jan 2022 11:57:28 +0000

cynthiune.app (1.0.0-2build4) groovy; urgency=medium

  * Rebuild against new gnustep 1.27.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jun 2020 13:40:04 +0200

cynthiune.app (1.0.0-2build3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:37:20 +0100

cynthiune.app (1.0.0-2build2) disco; urgency=medium

  * No-change rebuild for gnustep soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Jan 2019 19:50:56 +0000

cynthiune.app (1.0.0-2build1) bionic; urgency=medium

  * No-change rebuild for gnustep-gui soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 05:47:08 +0000

cynthiune.app (1.0.0-2) unstable; urgency=medium

  * debian/compat: Bump level to 11.
  * debian/control (Build-Depends): Remove libesd0-dev (Closes: #856078)
    and imagemagick.  Require debhelper >= 11 and gnustep-make >= 2.7.0-3
    for noopt handling.  Remove obsolete libgnustep-gui-dev requirement.
    (Vcs-Git, Vcs-Browser): Use secure/canonical URIs.
    (Standards-Version): Claim compliance with 4.1.2.
  * debian/rules: Enable default hardening.  Don't generate the .xpm
    icon.  Remove optim variable definition.
    (override_dh_build, override_dh_auto_install): Invoke
    dh_auto_{build,install} instead of $(MAKE).  Pass disable-esound=yes.
  * debian/install: Remove Cynthiune.xpm.
  * debian/menu: Delete.
  * debian/watch: Use https.
  * debian/copyright: Use https for format URL; update copyright years for
    Debian packaging.
  * debian/changelog: Whitespace cleanup.
  * debian/patches/spelling-errors.patch: New.
  * debian/patches/buffer-overflow.patch: New, fix buffer overflow in the
    ASFTags bundle.
  * debian/patches/mp3-segfault.patch: New; cherry-picked from upstream
    SVN trunk.
  * debian/patches/alsa-check-pcm-state.patch: Remove; issue no longer
    reproducible.
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 25 Dec 2017 16:13:42 +0200

cynthiune.app (1.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #745751):
    - Compatible with gnustep-gui/0.24 (Closes: #749738).
  * debian/watch: Update for the new upstream location (Closes: #745750).
  * debian/patches/ALSA.patch:
  * debian/patches/Bundles-install-dir.patch:
  * debian/patches/compilation-errors.patch:
  * debian/patches/compilation-warnings.patch:
  * debian/patches/FLAC-1.2-new-API.patch:
  * debian/patches/gcc-4.7.patch:
  * debian/patches/libmusicbrainz5.patch:
  * debian/patches/link-libs.patch.patch:
  * debian/patches/Musepack-new-API.patch:
  * debian/patches/use-pkg-config.patch:
  * debian/patches/WindowsMedia.patch: Remove; all merged upstream.
  * debian/patches/check-return-value.patch: New; fixes compiler warnings
    with -Wunused-result.
  * debian/patches/alsa-check-pcm-state.patch: New; fixes a bug where a
    new song cannot be played immediately if one is already playing.
  * debian/patches/gui0.24.patch: New; some final bits for #749738.
  * debian/patches/series: Update.
  * debian/compat: Set to 9.
  * debian/control (Build-Depends): Add libao-dev.  Require
    libgnustep-gui-dev (>= 0.24) and debhelper (>= 9); remove version
    requirements for libavifile-dev and libmpcdec-dev.  Remove dpkg-dev.
    (Homepage): Update.
    (Vcs-Git): Use the canonical URI.
    (Standards-Version): Compliant with 3.9.6 as of this release.
  * debian/rules: Rewrite for modern dh.
  * debian/install: New file.
  * debian/Cynthiune.desktop: Add Keywords field and Exec code.
  * debian/copyright: Switch to format 1.0, add more copyright holders.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 23 Oct 2014 09:17:32 +0300

cynthiune.app (0.9.5-14) unstable; urgency=low

  * debian/patches/gcc-4.7.patch: New; fixes FTBFS with GCC-4.7 (Closes:
    #667867).
  * debian/patches/libmusicbrainz5.patch: New; port to libmusicbrainz5
    (Closes: #656604).
  * debian/patches/link-libs.patch: Fix FTBFS with ld --as-needed, thanks
    Colin Watson (Closes: #633543).
  * debian/patches/series: Update.
  * debian/source/format: Switch to 3.0 (quilt).
  * debian/README.source: Delete; redundant.
  * debian/control (Build-Depends): Remove quilt.  Replace
    libmusicbrainz4-dev with libmusicbrainz5-dev.  Add dpkg-dev (>=
    1.16.1~), for hardening support.
    (Vcs-Arch, Vcs-Git, Vcs-Browser): Switch from Arch to Git.
    (Standards-Version): Bump to 3.9.3; no changes needed.
  * debian/rules: Don't include /usr/share/quilt/quilt.make, eliminate
    patch/unpatch dependencies.  Enable hardening.
    (binary-arch): Remove GS_USE_FHS conditional.  Invoke dh_lintian.
  * debian/preinst: Delete; no longer needed.
  * debian/lintian-overrides: New file, override some hardening false
    positives.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 04 Jun 2012 14:08:37 +0300

cynthiune.app (0.9.5-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Prevent FTBFS with audiofile's latest 0.3.x series by relying on
    pkg-config for gathering the building flags instead of the no longer
    provided audiofile-config tool (Closes: #654766).

 -- Alessio Treglia <alessio@debian.org>  Fri, 27 Jan 2012 00:51:15 +0100

cynthiune.app (0.9.5-13) unstable; urgency=medium

  * debian/control (Build-Depends): Remove libartsc0-dev (Closes:
    #620583).
  * debian/rules (build-stamp, install): Pass `disable-arts=yes'.
  * debian/patches/compilation-errors.patch: Minor change to fix FTBFS
    with GCC 4.5 (Closes: #618211)

 -- Yavor Doganov <yavor@gnu.org>  Tue, 19 Apr 2011 19:33:41 +0300

cynthiune.app (0.9.5-12) unstable; urgency=low

  * debian/patches/ALSA.patch: Adjust makefile conditional to actually
    build the bundle on armel and powerpcspe (Really closes: #576228).

 -- Yavor Doganov <yavor@gnu.org>  Tue, 21 Sep 2010 22:43:29 +0300

cynthiune.app (0.9.5-11) unstable; urgency=low

  * debian/patches/ALSA.patch: New; implement an ALSA output bundle and
    make it the default on GNU/Linux (Closes: #576228).
  * debian/patches/kfreebsd-OSS-default.patch: Remove, default now handled
    with the above patch.
  * debian/patches/series: Update.
  * debian/control (Build-Depends): Add libasound2-dev [linux-any].
    (Standards-Version): Set to 3.9.1 (no changes needed).
  * debian/copyright: Update copyright holders/years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 03 Sep 2010 18:49:41 +0300

cynthiune.app (0.9.5-10) unstable; urgency=low

  * debian/patches/compilation-errors.patch: Fix FTBFS with
    gnustep-gui/0.18.0 (Closes: #581925).
  * debian/rules (OPTFLAG, CFLAGS, CCFLAGS): Remove; rework noopt handling
    to be compatible with gnustep-make/2.4.x (Closes: #581924).
  * debian/control (Standards-Version): Bump to 3.8.4 (no changes needed).
    (Description): Make it less ridiculous.
  * debian/source/format: New file.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 18 May 2010 18:40:29 +0300

cynthiune.app (0.9.5-9) unstable; urgency=low

  * debian/patch/WindowsMedia.patch: Fix FTBFS on 64-bit archs.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 21 Dec 2009 20:17:55 +0200

cynthiune.app (0.9.5-8) unstable; urgency=low

  * debian/compat: Set to 7.
  * debian/control: Wrap all fields for diff-friendliness.
    (Uploaders): Remove Gürkan upon his request, add myself.
    (Section): Set to `gnustep' to match the override.
    (Build-Depends): Require debhelper >= 7.  Drop gnustep-make.  Remove
    ancient versioned dependencies on libgnustep-gui-dev, libmodplug-dev,
    libflac-dev, libaudiofile-dev.  Add quilt and imagemagick.  Require
    limpcdec-dev >= 2:0.1~r435 and avifile >= 1:0.7.48~20090503.ds.
    (Depends): Add ${gnustep:Depends} and ${misc:Depends}.
    (Vcs-Arch): New field.
    (Standards-Version): Claim compliance to 3.8.3 as of this upload.
  * debian/patches/series:
  * debian/patches/Bundles-install-dir.patch:
  * debian/patches/FLAC-1.2-new-API.patch:
  * debian/patches/compilation-errors.patch: New, split existing patches
    from the diff.gz.
  * debian/patches/link-libs.patch: New, link the framework and all
    bundles properly, avoiding undefined symbols and unnecessary
    dependencies.
  * debian/patches/WindowsMedia.patch: New, fixes FTBFS of the Windows
    Media bundle.
  * debian/patches/compilation-warnings.patch: New.
  * debian/patches/kfreebsd-OSS-default.patch: New.  Let
    -[GeneralPreference _initDefaults] create the default output bundle to
    be OSS on GNU/kFreeBSD too; this fixes some unpleasant glitches with
    the fallback Esound bundle.
  * debian/patches/Musepack-new-API.patch: New, adapt to the new libmpcdec
    API (Closes: #476381).  Previously the app died with SIGFPE when
    adding a SV8 file to the playlist.
  * debian/rules: Include quilt.make and update targets accordingly.
    (OPTFLAG, CFLAGS, CCFLAGS): Define conditionally (support for `noopt'
    in DEB_BUILD_OPTIONS).
    (LDFLAGS): Define to `-Wl,-z,defs -Wl,--as-needed
    -Wl,-rpath,/usr/lib/cynthiune.app'.
    (d_app): Define for convenience.  All uses updated.
    (windowsmedia): Re-enable the bundle on all architectures.
    (build-stamp): Pass OPTFLAG, CFLAGS, CCFLAGS, LDFLAGS  and
    messages=yes to make.  Convert the app icon in XPM format; the one
    provided in the tarball is low quality.
    (clean-patched): Delete the generated icon.  Remove upstream clean
    target; distclean is sufficient.
    (install): Install our XPM icon.  Replace `dh_clean -k' with
    `dh_prep'.  Install libCynthiune as a private library; fixes a policy
    violation.
    (binary-arch): Invoke gsdh_gnustep.  Conditionally move the Resources
    to /usr/share.  Do not install the the lintian override.
  * debian/cynthiune.links: Delete, not needed and not in effect anyway.
  * debian/dirs:
  * debian/lintian-override: Delete.
  * debian/watch:
  * debian/README.source: New file.
  * debian/Cynthiune.desktop: Correct the Categories field, add the full
    path to the TIFF icon as it's not in the standard icon dirs.  Remove
    duplicate `audio/mod' and `audio/x-mod' entries.
  * debian/menu: Add longtitle and icon (Closes: #292910).
  * debian/preinst: Add, the standard GNUstep FHS_ME_HARDER script.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 14 Dec 2009 21:46:52 +0200

cynthiune.app (0.9.5-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add mising #include to make it compile against latest GNUstep.
  * Adopted by GNUstep maintainers team. (closes: #454457)

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 02 Jul 2008 09:53:37 -0400

cynthiune.app (0.9.5-7) unstable; urgency=low

  * Orphaning package, setting maintainer to the Debian QA Group.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 07 Dec 2007 02:16:45 +0100

cynthiune.app (0.9.5-6) unstable; urgency=low

  * GNUstep transition.
    + Updated debian/rules.
  * debian/compat: Bump version, no changes needed.
  * debian/copyright: Reformated.
  * Apply patch to transition to FLAC 1.1.4, many thanks to
    Yavor Doganov. (Closes: #426637, #427741)
  * Disable Windows Media support since it fails to build.
  * Added a desktop file.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 08 Oct 2007 15:28:47 +0200

cynthiune.app (0.9.5-5) unstable; urgency=high

  * Remove ia64 from build-depends of libavifile-0.7-dev.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 19 Oct 2006 22:57:30 +0200

cynthiune.app (0.9.5-4) unstable; urgency=low

  * Rebuild against latest libgnustep-gui-dev.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 17 Sep 2006 09:00:59 +0200

cynthiune.app (0.9.5-3) unstable; urgency=low

  * Bump debian version.
  * Don't build avifile stuff where it is not available. (Closes: 367486)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu,  1 Jun 2006 23:31:28 +0200

cynthiune.app (0.9.5-2) unstable; urgency=low

  * Fixed build-depends (src:avifile). (Closes: #365991)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu,  4 May 2006 11:17:04 +0200

cynthiune.app (0.9.5-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 31 Mar 2006 19:06:36 +0200

cynthiune.app (0.9.4-3) unstable; urgency=low

  * Rebuild against latest libgnustep-gui.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 24 Jan 2006 13:36:01 +0100

cynthiune.app (0.9.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for FLAC transition. (Closes: #325937)
  * Use \[:u] in the manpage
  * Update FSF's address

 -- Luk Claes <luk@debian.org>  Mon,  3 Oct 2005 00:20:00 +0200

cynthiune.app (0.9.4-2) unstable; urgency=low

  * Updated build-dependency. (Closes: #289951)
  * Fixed typo in debian/copyright.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 13 Jan 2005 00:25:28 +0100

cynthiune.app (0.9.4-1) unstable; urgency=low

  * New upstream version.
  * Renamed source package to cynthiune.app.
  * Updated debian/control build-depends for GNUstep 0.9.4.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 28 Nov 2004 16:32:08 +0100

cynthiune (0.9.3a.20040922-1) unstable; urgency=low

  * NMU.
  * New upstream release (CVS snapshot).

 -- Wolfgang Sourdeau <was@debian.org>  Wed, 22 Sep 2004 19:56:44 -0400

cynthiune (0.9.2-2.2cvsadditions) unstable; urgency=low

  * NMU.
  * debian/control: libmodplug-dev (>= 0.7-2) correctly depends on
    libmodplug0. (Closes: #266843)
  * debian/Cynthiune.1: updated manpage.

 -- Wolfgang Sourdeau <was@debian.org>  Fri, 20 Aug 2004 11:55:31 -0400

cynthiune (0.9.2-2.1cvsadditions) unstable; urgency=high

  * NMU.
  * Added patches in debian/patches with three new bundles: FLAC,
    AudioFile and Mod.
  * debian/control: added the dependencies needed for the above and
    enhanced the package description and synopsis.
  * debian/rules: added code to handle patches.
  * debian/copyright: provided complete copyright information.
  * added missing CynthiuneInfo.plist.
  * added missing functions in utils.m from CVS version.

 -- Wolfgang Sourdeau <was@debian.org>  Wed, 18 Aug 2004 14:53:53 -0400

cynthiune (0.9.2-2) unstable; urgency=low

  * Renamed binary package to cynthiune.app
  * Updated build-depends to latest gnustep

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 26 Jul 2004 18:56:36 +0200

cynthiune (0.9.2-1) unstable; urgency=low

  * Initial Release.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 26 Apr 2004 09:33:33 +0200
